//
//  main.cpp
//  SFML-Xcode
//
//  Created by Kyle Parker on 11/26/24.
//

#include <iostream>
#include <SFML/Graphics.hpp>

int main(int argc, const char * argv[]) {
    // Create a window
    sf::RenderWindow window(sf::VideoMode(700, 550), "Title");
    
    sf::Vector2u windowSize = window.getSize();
    const double ballSize = 50;
    
    // Create a ball
    sf::CircleShape ball(ballSize);
    ball.setFillColor(sf::Color::Magenta);
    
    // Center ball on screen, depending on window and ball size
    ball.setPosition(windowSize.x / 2 - ballSize,
                     windowSize.y / 2 - ballSize);
    
    // Main loop
    while (window.isOpen()) {
        sf::Event event;
        while (window.pollEvent(event)) {
            if (event.type == sf::Event::Closed) {
                window.close();
            }
        }
        
        window.clear(sf::Color::Black);
        window.draw(ball);
        window.display();
    }
    
    return 0;
}

